Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class OracleSavepointManager

    java.lang.Object
      org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
          kodo.jdbc.sql.OracleSavepointManager

All Implemented Interfaces:
  SavepointManager, Configurable

    public class OracleSavepointManager

extends AbstractJDBCSavepointManager

`SavepointManager` implementation that uses Oracle specific calls and savepoint implementation to store state. This plugin has the side effect of triggering a flush on the `Broker`.

Savepoint names must begin with a letter.

Note that this plugin requires Oracle driver version 9.2 or higher.

Since:
  3.4

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
`AbstractJDBCSavepointManager.ConnectionSavepoint`

Constructor Summary
`OracleSavepointManager()`

Method Summary
`protected void` | `rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)`
`protected void` | `setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)`

Methods inherited from class org.apache.openjpa.jdbc.kernel.AbstractJDBCSavepointManager
`endConfiguration, getRestoreFieldState, newSavepoint, setConfiguration, setRestoreFieldState, startConfiguration, supportsIncrementalFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleSavepointManager

    public OracleSavepointManager()

Method Detail

### rollbackDataStore

    protected void rollbackDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Specified by:
    `rollbackDataStore` in class `AbstractJDBCSavepointManager`

### setDataStore

    protected void setDataStore(AbstractJDBCSavepointManager.ConnectionSavepoint savepoint)

  Specified by:
    `setDataStore` in class `AbstractJDBCSavepointManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.